CSFML 3.0.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sfKeyEvent Struct Reference

Keyboard event parameters. More...

`#include <CSFML/Window/Event.h>`

## Public Attributes
sfEventType | type
sfKeyCode | code
sfScancode | scancode
bool | alt
bool | control
bool | shift
bool | system

## Detailed Description

Keyboard event parameters.

Definition at line 76 of file Event.h.

## Member Data Documentation

## ◆ alt

bool sfKeyEvent::alt

Definition at line 81 of file Event.h.

## ◆ code

sfKeyCode sfKeyEvent::code

Definition at line 79 of file Event.h.

## ◆ control

bool sfKeyEvent::control

Definition at line 82 of file Event.h.

## ◆ scancode

sfScancode sfKeyEvent::scancode

Definition at line 80 of file Event.h.

## ◆ shift

bool sfKeyEvent::shift

Definition at line 83 of file Event.h.

## ◆ system

bool sfKeyEvent::system

Definition at line 84 of file Event.h.

## ◆ type

sfEventType sfKeyEvent::type

Definition at line 78 of file Event.h.

The documentation for this struct was generated from the following file:

- Event.h